@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');


:root{
    --bg-color: #b2d7dc;
    --text-color: #1d1f27;
    --main-color: #91ff84;

}


*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


body{
    padding: 2rem;
    font-family: "Roboto", serif;

    background-color: var(--bg-color);
    color: var(--text-color);
}


h1{
    text-align: center;
    font-size: 1rem;

}

h3, header, ul{
margin-bottom: 0.5rem;    

}

main{
    max-width: 400px;
    margin: 1rem auto;
    background-color: #fff;
    padding: 1rem;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

header{
    background-color: var(--main-color);
    color: #fff;
    padding: 1rem;
    text-align: center;
    border-radius: 5px;

    display: flex;
    flex-wrap: wrap;

}

header div{
    padding: 5px;

}

header div:first-child{
    flex-basis: 100%;
    font-size: 2.25rem;
    font-weight: 600;
}

header div:nth-child(n+2)
{
    flex-basis: 50%;
    font-size: 1.25rem;
    font-weight: 500;
}

header h5{
    font-size: 0.75rem;
    font-weight: 600;
    text-transform: uppercase;
}

form{
    display: flex;
    flex-wrap: wrap;
    gap: 10px
     
}

form input, 
form button{
    width:  100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin-bottom: 5px;
    height: 42px;
    font-family: "Roboto", serif;
    font-size: 1rem;

}

form button{
    background-color: var(--main-color);
    color: #fff;
    font-size: 0.75rem;
    font-weight: 600;
    text-transform: uppercase;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}
form label{
    font-size: 0.75rem;
    font-weight: 600;
    text-transform: uppercase;
}
form div:first-child{
    flex-basis: 100%;
}

form div:nth-child(n+2)
{
    flex-basis: calc(50% - 5px);
}


ul{
    list-style-type: none;
}

ul li{
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 5px 10x;
    position: relative;
}
ul li:hover{
    background-color: rgba(0, 0, 0, 0.1);
}
.name {
    flex: 1;

}

.name h4{
    font-size: 1rem;
    font-weight: 600;
    text-transform: capitalize;
}

.name p{
    font-size: 0.8rem;
    color: #555;
}
.amount {
    font-weight: 600;
}

.amount.income{
    color: yellowgreen ;
}

.amount.expense{
    color: indianred;
}

.action{
    position: absolute;
    top: 0;
    right: 0;
    background-color: #f00;
    color: #fff;
    height: 100%;
    width: 50px;
     display: grid;
    place-items: center;
    transform: scaleX(0);
    transform-origin:right ;
    transition: all 300ms;
}
.action svg{
    width: 36px;
    height: 36px;
    cursor: pointer;
   

}

ul li:hover  .action{
    transform: scaleX(1);
}

#status {
    text-align: center;
    margin-bottom: 0.5rem ;
}
